## PBM Get All Capabilities

PBM Get All Capabilities

## Functions

QmiMessagePbmGetAllCapabilitiesOutput * | qmi_message_pbm_get_all_capabilities_output_ref ()
void | qmi_message_pbm_get_all_capabilities_output_unref ()
gboolean | qmi_message_pbm_get_all_capabilities_output_get_result ()
gboolean | qmi_message_pbm_get_all_capabilities_output_get_capability_basic_information ()
gboolean | qmi_message_pbm_get_all_capabilities_output_get_group_capability ()
gboolean | qmi_message_pbm_get_all_capabilities_output_get_additional_number_capability ()
gboolean | qmi_message_pbm_get_all_capabilities_output_get_email_capability ()
gboolean | qmi_message_pbm_get_all_capabilities_output_get_second_name_capability ()
gboolean | qmi_message_pbm_get_all_capabilities_output_get_hidden_records_capability ()
gboolean | qmi_message_pbm_get_all_capabilities_output_get_grouping_information_alpha_string_capability ()
gboolean | qmi_message_pbm_get_all_capabilities_output_get_additional_number_alpha_string_capability ()
void | qmi_client_pbm_get_all_capabilities ()
QmiMessagePbmGetAllCapabilitiesOutput * | qmi_client_pbm_get_all_capabilities_finish ()

## Types and Values

| QmiMessagePbmGetAllCapabilitiesOutput
| QmiMessagePbmGetAllCapabilitiesOutputCapabilityBasicInformationElementPhonebooksElement
| QmiMessagePbmGetAllCapabilitiesOutputCapabilityBasicInformationElement
| QmiMessagePbmGetAllCapabilitiesOutputGroupCapabilityElement
| QmiMessagePbmGetAllCapabilitiesOutputAdditionalNumberCapabilityElement
| QmiMessagePbmGetAllCapabilitiesOutputEmailCapabilityElement
| QmiMessagePbmGetAllCapabilitiesOutputSecondNameCapabilityElement
| QmiMessagePbmGetAllCapabilitiesOutputHiddenRecordsCapabilityElement
| QmiMessagePbmGetAllCapabilitiesOutputGroupingInformationAlphaStringCapabilityElement
| QmiMessagePbmGetAllCapabilitiesOutputAdditionalNumberAlphaStringCapabilityElement

## Object Hierarchy

        GBoxed
        ╰── QmiMessagePbmGetAllCapabilitiesOutput

## Description

## Functions

### qmi_message_pbm_get_all_capabilities_output_ref ()

    QmiMessagePbmGetAllCapabilitiesOutput *
    qmi_message_pbm_get_all_capabilities_output_ref
                                   (QmiMessagePbmGetAllCapabilitiesOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePbmGetAllCapabilitiesOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_pbm_get_all_capabilities_output_unref ()

    void
    qmi_message_pbm_get_all_capabilities_output_unref
                                   (QmiMessagePbmGetAllCapabilitiesOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePbmGetAllCapabilitiesOutput. |

Since: 1.6

### qmi_message_pbm_get_all_capabilities_output_get_result ()

    gboolean
    qmi_message_pbm_get_all_capabilities_output_get_result
                                   (QmiMessagePbmGetAllCapabilitiesOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePbmGetAllCapabilitiesOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.6

### qmi_message_pbm_get_all_capabilities_output_get_capability_basic_information ()

    gboolean
    qmi_message_pbm_get_all_capabilities_output_get_capability_basic_information
                                   (QmiMessagePbmGetAllCapabilitiesOutput *self,
                                    GArray **value_capability_basic_information,
                                    GError **error);

Get the 'Capability Basic Information' field from `self` .

#### Parameters

self | a QmiMessagePbmGetAllCapabilitiesOutput. |
value_capability_basic_information | a placeholder for the output GArray of QmiMessagePbmGetAllCapabilitiesOutputCapabilityBasicInformationElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_pbm_get_all_capabilities_output_get_group_capability ()

    gboolean
    qmi_message_pbm_get_all_capabilities_output_get_group_capability
                                   (QmiMessagePbmGetAllCapabilitiesOutput *self,
                                    GArray **value_group_capability,
                                    GError **error);

Get the 'Group Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetAllCapabilitiesOutput. |
value_group_capability | a placeholder for the output GArray of QmiMessagePbmGetAllCapabilitiesOutputGroupCapabilityElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_pbm_get_all_capabilities_output_get_additional_number_capability ()

    gboolean
    qmi_message_pbm_get_all_capabilities_output_get_additional_number_capability
                                   (QmiMessagePbmGetAllCapabilitiesOutput *self,
                                    GArray **value_additional_number_capability,
                                    GError **error);

Get the 'Additional Number Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetAllCapabilitiesOutput. |
value_additional_number_capability | a placeholder for the output GArray of QmiMessagePbmGetAllCapabilitiesOutputAdditionalNumberCapabilityElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_pbm_get_all_capabilities_output_get_email_capability ()

    gboolean
    qmi_message_pbm_get_all_capabilities_output_get_email_capability
                                   (QmiMessagePbmGetAllCapabilitiesOutput *self,
                                    GArray **value_email_capability,
                                    GError **error);

Get the 'Email Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetAllCapabilitiesOutput. |
value_email_capability | a placeholder for the output GArray of QmiMessagePbmGetAllCapabilitiesOutputEmailCapabilityElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_pbm_get_all_capabilities_output_get_second_name_capability ()

    gboolean
    qmi_message_pbm_get_all_capabilities_output_get_second_name_capability
                                   (QmiMessagePbmGetAllCapabilitiesOutput *self,
                                    GArray **value_second_name_capability,
                                    GError **error);

Get the 'Second Name Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetAllCapabilitiesOutput. |
value_second_name_capability | a placeholder for the output GArray of QmiMessagePbmGetAllCapabilitiesOutputSecondNameCapabilityElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_pbm_get_all_capabilities_output_get_hidden_records_capability ()

    gboolean
    qmi_message_pbm_get_all_capabilities_output_get_hidden_records_capability
                                   (QmiMessagePbmGetAllCapabilitiesOutput *self,
                                    GArray **value_hidden_records_capability,
                                    GError **error);

Get the 'Hidden Records Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetAllCapabilitiesOutput. |
value_hidden_records_capability | a placeholder for the output GArray of QmiMessagePbmGetAllCapabilitiesOutputHiddenRecordsCapabilityElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_pbm_get_all_capabilities_output_get_grouping_information_alpha_string_capability ()

    gboolean
    qmi_message_pbm_get_all_capabilities_output_get_grouping_information_alpha_string_capability
                                   (QmiMessagePbmGetAllCapabilitiesOutput *self,
                                    GArray **value_grouping_information_alpha_string_capability,
                                    GError **error);

Get the 'Grouping Information Alpha String Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetAllCapabilitiesOutput. |
value_grouping_information_alpha_string_capability | a placeholder for the output GArray of QmiMessagePbmGetAllCapabilitiesOutputGroupingInformationAlphaStringCapabilityElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_pbm_get_all_capabilities_output_get_additional_number_alpha_string_capability ()

    gboolean
    qmi_message_pbm_get_all_capabilities_output_get_additional_number_alpha_string_capability
                                   (QmiMessagePbmGetAllCapabilitiesOutput *self,
                                    GArray **value_additional_number_alpha_string_capability,
                                    GError **error);

Get the 'Additional Number Alpha String Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetAllCapabilitiesOutput. |
value_additional_number_alpha_string_capability | a placeholder for the output GArray of QmiMessagePbmGetAllCapabilitiesOutputAdditionalNumberAlphaStringCapabilityElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_client_pbm_get_all_capabilities ()

    void
    qmi_client_pbm_get_all_capabilities (QmiClientPbm *self,
                                         gpointer unused,
                                         guint timeout,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously sends a Get All Capabilities request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pbm_get_all_capabilities_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPbm. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_pbm_get_all_capabilities_finish ()

    QmiMessagePbmGetAllCapabilitiesOutput *
    qmi_client_pbm_get_all_capabilities_finish
                                   (QmiClientPbm *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pbm_get_all_capabilities()`.

#### Parameters

self | a QmiClientPbm. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pbm_get_all_capabilities()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePbmGetAllCapabilitiesOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pbm_get_all_capabilities_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessagePbmGetAllCapabilitiesOutput

    typedef struct _QmiMessagePbmGetAllCapabilitiesOutput QmiMessagePbmGetAllCapabilitiesOutput;

The QmiMessagePbmGetAllCapabilitiesOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6

### QmiMessagePbmGetAllCapabilitiesOutputCapabilityBasicInformationElementPhonebooksElement

    typedef struct {
        QmiPbmPhonebookType phonebook_type;
        guint16 used_records;
        guint16 maximum_records;
        guint8 maximum_number_length;
        guint8 maximum_name_length;
    } QmiMessagePbmGetAllCapabilitiesOutputCapabilityBasicInformationElementPhonebooksElement;

A QmiMessagePbmGetAllCapabilitiesOutputCapabilityBasicInformationElementPhonebooksElement struct.

#### Members

QmiPbmPhonebookType `phonebook_type`; | a QmiPbmPhonebookType. |
guint16 `used_records`; | a guint16. |
guint16 `maximum_records`; | a guint16. |
guint8 `maximum_number_length`; | a guint8. |
guint8 `maximum_name_length`; | a guint8. |

Since: 1.6

### QmiMessagePbmGetAllCapabilitiesOutputCapabilityBasicInformationElement

    typedef struct {
        QmiPbmSessionType session_type;
        GArray *phonebooks;
    } QmiMessagePbmGetAllCapabilitiesOutputCapabilityBasicInformationElement;

A QmiMessagePbmGetAllCapabilitiesOutputCapabilityBasicInformationElement struct.

#### Members

QmiPbmSessionType `session_type`; | a QmiPbmSessionType. |
GArray *`phonebooks`; | a GArray of QmiMessagePbmGetAllCapabilitiesOutputCapabilityBasicInformationElementPhonebooksElement elements. |

Since: 1.6

### QmiMessagePbmGetAllCapabilitiesOutputGroupCapabilityElement

    typedef struct {
        QmiPbmSessionType session_type;
        guint8 maximum_groups;
        guint8 maximum_group_tag_length;
    } QmiMessagePbmGetAllCapabilitiesOutputGroupCapabilityElement;

A QmiMessagePbmGetAllCapabilitiesOutputGroupCapabilityElement struct.

#### Members

QmiPbmSessionType `session_type`; | a QmiPbmSessionType. |
guint8 `maximum_groups`; | a guint8. |
guint8 `maximum_group_tag_length`; | a guint8. |

Since: 1.6

### QmiMessagePbmGetAllCapabilitiesOutputAdditionalNumberCapabilityElement

    typedef struct {
        QmiPbmSessionType session_type;
        guint8 maximum_additional_numbers;
        guint8 maximum_additional_number_length;
        guint8 maximum_additional_number_tag_length;
    } QmiMessagePbmGetAllCapabilitiesOutputAdditionalNumberCapabilityElement;

A QmiMessagePbmGetAllCapabilitiesOutputAdditionalNumberCapabilityElement struct.

#### Members

QmiPbmSessionType `session_type`; | a QmiPbmSessionType. |
guint8 `maximum_additional_numbers`; | a guint8. |
guint8 `maximum_additional_number_length`; | a guint8. |
guint8 `maximum_additional_number_tag_length`; | a guint8. |

Since: 1.6

### QmiMessagePbmGetAllCapabilitiesOutputEmailCapabilityElement

    typedef struct {
        QmiPbmSessionType session_type;
        guint8 maximum_emails;
        guint8 maximum_email_address_length;
    } QmiMessagePbmGetAllCapabilitiesOutputEmailCapabilityElement;

A QmiMessagePbmGetAllCapabilitiesOutputEmailCapabilityElement struct.

#### Members

QmiPbmSessionType `session_type`; | a QmiPbmSessionType. |
guint8 `maximum_emails`; | a guint8. |
guint8 `maximum_email_address_length`; | a guint8. |

Since: 1.6

### QmiMessagePbmGetAllCapabilitiesOutputSecondNameCapabilityElement

    typedef struct {
        QmiPbmSessionType session_type;
        guint8 maximum_second_name_length;
    } QmiMessagePbmGetAllCapabilitiesOutputSecondNameCapabilityElement;

A QmiMessagePbmGetAllCapabilitiesOutputSecondNameCapabilityElement struct.

#### Members

QmiPbmSessionType `session_type`; | a QmiPbmSessionType. |
guint8 `maximum_second_name_length`; | a guint8. |

Since: 1.6

### QmiMessagePbmGetAllCapabilitiesOutputHiddenRecordsCapabilityElement

    typedef struct {
        QmiPbmSessionType session_type;
        gboolean supported;
    } QmiMessagePbmGetAllCapabilitiesOutputHiddenRecordsCapabilityElement;

A QmiMessagePbmGetAllCapabilitiesOutputHiddenRecordsCapabilityElement struct.

#### Members

QmiPbmSessionType `session_type`; | a QmiPbmSessionType. |
gboolean `supported`; | a gboolean. |

Since: 1.6

### QmiMessagePbmGetAllCapabilitiesOutputGroupingInformationAlphaStringCapabilityElement

    typedef struct {
        QmiPbmSessionType session_type;
        guint8 maximum_records;
        guint8 used_records;
        guint8 maximum_string_length;
    } QmiMessagePbmGetAllCapabilitiesOutputGroupingInformationAlphaStringCapabilityElement;

A QmiMessagePbmGetAllCapabilitiesOutputGroupingInformationAlphaStringCapabilityElement struct.

#### Members

QmiPbmSessionType `session_type`; | a QmiPbmSessionType. |
guint8 `maximum_records`; | a guint8. |
guint8 `used_records`; | a guint8. |
guint8 `maximum_string_length`; | a guint8. |

Since: 1.6

### QmiMessagePbmGetAllCapabilitiesOutputAdditionalNumberAlphaStringCapabilityElement

    typedef struct {
        QmiPbmSessionType session_type;
        guint8 maximum_records;
        guint8 used_records;
        guint8 maximum_string_length;
    } QmiMessagePbmGetAllCapabilitiesOutputAdditionalNumberAlphaStringCapabilityElement;

A QmiMessagePbmGetAllCapabilitiesOutputAdditionalNumberAlphaStringCapabilityElement struct.

#### Members

QmiPbmSessionType `session_type`; | a QmiPbmSessionType. |
guint8 `maximum_records`; | a guint8. |
guint8 `used_records`; | a guint8. |
guint8 `maximum_string_length`; | a guint8. |

Since: 1.6